Page MenuHomePhabricator

Drop PHP 7.2 & 7.3 support from MediaWiki master branch, once Wikimedia production is on 7.4
Closed, ResolvedPublic

Related Objects

StatusSubtypeAssignedTask
ResolvedNone
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedLadsgroup
InvalidNone
ResolvedReedy
OpenNone
Resolved tstarling
ResolvedJdforrester-WMF
ResolvedJoe
ResolvedDzahn
Resolvedhashar
ResolvedJdforrester-WMF
ResolvedLadsgroup
ResolvedMoritzMuehlenhoff
Resolvedjijiki
ResolvedMoritzMuehlenhoff
ResolvedTrizek-WMF
ResolvedDzahn
Resolved Gilles
ResolvedDzahn
ResolvedRequestPapaul
Resolvedjijiki
DeclinedNone
ResolvedDzahn
ResolvedDzahn
ResolvedPapaul
Resolved Cmjohnson
ResolvedRequest Cmjohnson
ResolvedRequestPapaul
ResolvedAndrew
ResolvedArielGlenn
ResolvedDzahn
ResolvedLegoktm
ResolvedPapaul
ResolvedDzahn
Declined Gilles
ResolvedVolans
ResolvedDzahn
ResolvedLegoktm
ResolvedPleaseStand
ResolvedJoe
Resolved tstarling
ResolvedArielGlenn
ResolvedJoe
Resolved tstarling
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedLegoktm
ResolvedJdforrester-WMF
ResolvedDaimona
ResolvedDaimona
ResolvedJdforrester-WMF
ResolvedJoe
ResolvedJMeybohm
ResolvedJoe
ResolvedJoe
ResolvedJoe
ResolvedJoe
ResolvedKrinkle
ResolvedJoe
ResolvedClement_Goubert
ResolvedClement_Goubert
ResolvedClement_Goubert
ResolvedMainframe98
ResolvedJoe
ResolvedZabe

Event Timeline

Change 619457 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] [DNM] Drop PHP 7.2 support in MediaWiki 1.35; require 7.3.19

https://gerrit.wikimedia.org/r/619457

Reedy changed the task status from Open to Stalled.Sep 2 2020, 9:19 PM
Reedy subscribed.

Stalled as blocked on T245757: Upgrade MediaWiki clusters to Debian Buster (debian 10) which is also stalled

Reedy renamed this task from Drop PHP 7.2 support from MediaWiki master branch, once Wikimedia production is on 7.3 to Drop PHP 7.2 support from MediaWiki master branch, once Wikimedia production is on 7.4.Oct 20 2021, 3:26 PM
Jdforrester-WMF renamed this task from Drop PHP 7.2 support from MediaWiki master branch, once Wikimedia production is on 7.4 to Drop PHP 7.2 & 7.3 support from MediaWiki master branch, once Wikimedia production is on 7.4.Aug 1 2022, 11:48 PM
Jdforrester-WMF updated the task description. (Show Details)

Change 827496 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] [DNM] Zuul: [mediawiki/core] Drop PHP 7.2 and PHP 7.3 testing for master and wmf

https://gerrit.wikimedia.org/r/827496

Oops. This is just the implementation task for CI. The decision task is T278139 which we discussed back in October 2021 (and confirmed in March 2022 on T298914). The announcement bit of the policy wasn't followed.

I think the message you sent is not very well-worded. It's not a proposal, and we're not looking for input whether or not there are major objections; we've already decided a year ago, and announced it in several places. :-(

Not sure how I should reply to your mailing-list post to make this clear.

Change 827496 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/core] Drop PHP 7.2 and PHP 7.3 testing for master and wmf

https://gerrit.wikimedia.org/r/827496

Mentioned in SAL (#wikimedia-releng) [2022-09-29T13:41:30Z] <James_F> Zuul: [mediawiki/core] Drop PHP 7.2 and PHP 7.3 testing for master and wmf for T261872

Change 836845 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/vendor@master] Raise required PHP version from 7.2.9 to 7.4.3

https://gerrit.wikimedia.org/r/836845

Change 836845 merged by jenkins-bot:

[mediawiki/vendor@master] Raise required PHP version from 7.2.9 to 7.4.3

https://gerrit.wikimedia.org/r/836845

Change 619457 merged by jenkins-bot:

[mediawiki/core@master] Drop PHP 7.2 & PHP 7.3 support in MediaWiki master; require 7.4.3

https://gerrit.wikimedia.org/r/619457

Change 988982 had a related patch set uploaded (by ArielGlenn; author: ArielGlenn):

[mediawiki/core@master] update a few tests to use PHP 7.4 syntax

https://gerrit.wikimedia.org/r/988982

Change 988982 merged by jenkins-bot:

[mediawiki/core@master] update a few tests to use PHP 7.4 syntax

https://gerrit.wikimedia.org/r/988982